package com.zxhl.main.page.activity

import android.view.View
import com.zxhl.cms.AppContext
import com.zxhl.cms.common.Constant
import com.zxhl.cms.common.base.BaseActivity
import com.zxhl.cms.router.RounterApi
import com.zxhl.cms.router.RounterBus
import com.zxhl.cms.utils.JumpUtils
import com.zxhl.cms.utils.RxBus
import com.zxhl.main.R
import kotlinx.android.synthetic.main.activity_layout_shipment_success.*

class ShipmentSuccessActivity : BaseActivity() {
    override fun onClick(v: View?) {

    }

    override fun layoutID(): Int {
        return R.layout.activity_layout_shipment_success
    }

    override fun before() {
        super.before()
        setStatusBarBackground(AppContext.get().resources.getColor(R.color.white))
    }

    override fun init() {
        RxBus.get().post(Constant.order_data_update,1)
        id_img_back?.setOnClickListener {
            finish()
        }
        id_tv_fahuo_order?.setOnClickListener {
            finish()
            RxBus.get().post(Constant.swith_fragment,1)

        }
        id_tv_go_home?.setOnClickListener {
            JumpUtils.activityJump(
                RounterBus.getRounter(RounterApi::class.java).getIntentActivityMain()
            )
            finish()
        }
    }
}